<?php

namespace UnicaenAutoform\Form\Categorie;

use UnicaenAutoform\Entity\Db\Categorie;
use Laminas\Hydrator\HydratorInterface;

class CategorieHydrator implements HydratorInterface {

    /**
     * @param Categorie $object
     * @return array
     */
    public function extract(object $object) : array
    {
        $data = [
            'libelle' => $object->getLibelle(),
        ];
        return $data;
    }

    /**
     * @param array $data
     * @param Categorie $object
     * @return Categorie
     */
    public function hydrate(array $data, object $object)
    {
        $object->setLibelle($data['libelle']);
        return $object;
    }


}