<?php

namespace UnicaenAutoform\Form\MotClef;

use Psr\Container\ContainerInterface;

class MotClefFormFactory
{
    public function __invoke(ContainerInterface $container) : MotClefForm
    {
        /** @var MotClefHydrator $hydrator */
        $hydrator = $container->get('HydratorManager')->get(MotClefHydrator::class);

        $form = new MotClefForm();
        $form->setHydrator($hydrator);
        return $form;
    }
}